### Method

# Malcontent AppFilter is_content_type_allowed

since: 0.4.0

#### Declaration [src]

    gboolean
    mct_app_filter_is_content_type_allowed (
      MctAppFilter* filter,
      const gchar* content_type
    )

#### Description [src]

Check whether apps handling the given `content_type` are allowed to be run according to this app filter.

Note that this method doesn’t match content subtypes. For example, if `application/xml` is added to the blocklist but `application/xspf+xml` is not, a check for whether `application/xspf+xml` is blocklisted would return false.

Available since: 0.4.0

#### Parameters

`content_type`

  Type: `const gchar*`

  Content type to check.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

True if the user this `filter` corresponds to is allowed to run programs handling `content_type` according to the `filter` policy; false otherwise.